読者です 読者をやめる 読者になる 読者になる

ikeike443のブログ

ソフトウェアビジネスに関心がある系のブログ

maven-archetype-quickstartが未だにJUnit3.8.1使ってる件

どうにかならないんでしたっけ。。

mvn archetype:generateすると、下記のように344(maven-archetype-quickstart)を勧められて、

$ mvn archetype:generate
略
913: remote -> tk.skuro:clojure-maven-archetype (A simple Maven archetype for Clojure)
914: remote -> uk.ac.rdg.resc:edal-ncwms-based-webapp (-)
Choose a number or apply filter (format: [groupId:]artifactId, case sensitive contains): 344:

言われるがままにプロジェクトを作って、出来上がったpomを見ると、JUnit3.8.1。。

<dependencies>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>3.8.1</version>
      <scope>test</scope>
    </dependency>
</dependencies>

この問題は既に下記チケットで報告され、既に修正されているっぽく*1、次回リリースの1.2に含まれそうだが。。
http://jira.codehaus.org/browse/MARCHETYPES-41

セントラルリポジトリを見てみるとまだ1.2はリリースされてない。。
http://search.maven.org/#search%7Cgav%7C1%7Cg%3A%22org.apache.maven.archetypes%22%20AND%20a%3A%22maven-archetype-quickstart%22

ちょ、困るんですけど。。maven-archetype-quickstartのMLどこなん。。とりあえずチケットAssigneeのOlivierってのにメールしてみたけど。。。

*1:Diffくらい貼れよと思った